[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'StdCtrls' (#lcl)

# TCustomEdit.ChildClassAllowed

Indicates whether child controls using the specified class are allowed.

## Declaration

Source position: stdctrls.pp line 825

`protected function TCustomEdit.ChildClassAllowed(`
`ChildClass: TClass`
`):Boolean; override;`

## Arguments

`ChildClass` |  | Class type for the child control.

## Function result

True if a child control using the specified class type are allowed for the control.

## Description

ChildClassAllowed is overridden in TCustomEdit to use the widgetset class to determine whether child controls can be embedded within the control. The return value is True when the GetLCLCapability method in the widgetset class returns LCL_CAPABILITY_YES for the lcAllowChildControlsInNativeControls query.

## See also

TWinControl.ChildClassAllowed |  | Checks whether the specified class type is allowed as a child control.